package com.bocloud.cmp.model.installation.catalog;

/**
 * 物理机cpu信息类
 *
 * @author Shaolong_tan
 */
public class Cpu {
    /**
     * 资产标签
     */
    private String assetTag;
    /**
     * 产品特性
     */
    private Object characteristics;
    /**
     * 核数
     */
    private String coreCount;
    /**
     * 可用核数
     */
    private String coreEnabled;
    /**
     * 当前速率
     */
    private String currentSpeed;
    /**
     * 外部时钟
     */
    private String externalClock;
    /**
     * Family
     */
    private String family;
    /**
     * 寄存器
     */
    private Object flags;
    /**
     * ID
     */
    private String id;
    /**
     * L1缓存处理
     */
    private String l1CacheHandle;
    /**
     * L2缓存处理
     */
    private String l2CacheHandle;
    /**
     * L3缓存处理
     */
    private String l3CacheHandle;
    /**
     * 制造商
     */
    private String manufacturer;
    /**
     * 最大速率
     */
    private String maxSpeed;
    /**
     * 零件号码
     */
    private String partNumber;
    /**
     * 序列号
     */
    private String serialNumber;
    /**
     * 信号
     */
    private String signature;
    /**
     * Socket名称
     */
    private String socket;
    /**
     * 状态
     */
    private String status;
    /**
     * 线程数
     */
    private String threadCount;
    /**
     * 类型
     */
    private String type;
    /**
     * 升级
     */
    private String upgrade;
    /**
     * 版本
     */
    private String version;
    /**
     * 电压
     */
    private String voltage;

    /**
     * @return the assetTag
     */
    public String getAssetTag() {
        return assetTag;
    }

    /**
     * @param assetTag the assetTag to set
     */
    public void setAssetTag(String assetTag) {
        this.assetTag = assetTag;
    }

    /**
     * @return the characteristics
     */
    public Object getCharacteristics() {
        return characteristics;
    }

    /**
     * @param characteristics the characteristics to set
     */
    public void setCharacteristics(Object characteristics) {
        this.characteristics = characteristics;
    }

    /**
     * @return the coreCount
     */
    public String getCoreCount() {
        return coreCount;
    }

    /**
     * @param coreCount the coreCount to set
     */
    public void setCoreCount(String coreCount) {
        this.coreCount = coreCount;
    }

    /**
     * @return the coreEnabled
     */
    public String getCoreEnabled() {
        return coreEnabled;
    }

    /**
     * @param coreEnabled the coreEnabled to set
     */
    public void setCoreEnabled(String coreEnabled) {
        this.coreEnabled = coreEnabled;
    }

    /**
     * @return the currentSpeed
     */
    public String getCurrentSpeed() {
        return currentSpeed;
    }

    /**
     * @param currentSpeed the currentSpeed to set
     */
    public void setCurrentSpeed(String currentSpeed) {
        this.currentSpeed = currentSpeed;
    }

    /**
     * @return the externalClock
     */
    public String getExternalClock() {
        return externalClock;
    }

    /**
     * @param externalClock the externalClock to set
     */
    public void setExternalClock(String externalClock) {
        this.externalClock = externalClock;
    }

    /**
     * @return the family
     */
    public String getFamily() {
        return family;
    }

    /**
     * @param family the family to set
     */
    public void setFamily(String family) {
        this.family = family;
    }

    /**
     * @return the flags
     */
    public Object getFlags() {
        return flags;
    }

    /**
     * @param flags the flags to set
     */
    public void setFlags(Object flags) {
        this.flags = flags;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the l1CacheHandle
     */
    public String getL1CacheHandle() {
        return l1CacheHandle;
    }

    /**
     * @param l1CacheHandle the l1CacheHandle to set
     */
    public void setL1CacheHandle(String l1CacheHandle) {
        this.l1CacheHandle = l1CacheHandle;
    }

    /**
     * @return the l2CacheHandle
     */
    public String getL2CacheHandle() {
        return l2CacheHandle;
    }

    /**
     * @param l2CacheHandle the l2CacheHandle to set
     */
    public void setL2CacheHandle(String l2CacheHandle) {
        this.l2CacheHandle = l2CacheHandle;
    }

    /**
     * @return the l3CacheHandle
     */
    public String getL3CacheHandle() {
        return l3CacheHandle;
    }

    /**
     * @param l3CacheHandle the l3CacheHandle to set
     */
    public void setL3CacheHandle(String l3CacheHandle) {
        this.l3CacheHandle = l3CacheHandle;
    }

    /**
     * @return the manufacturer
     */
    public String getManufacturer() {
        return manufacturer;
    }

    /**
     * @param manufacturer the manufacturer to set
     */
    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    /**
     * @return the maxSpeed
     */
    public String getMaxSpeed() {
        return maxSpeed;
    }

    /**
     * @param maxSpeed the maxSpeed to set
     */
    public void setMaxSpeed(String maxSpeed) {
        this.maxSpeed = maxSpeed;
    }

    /**
     * @return the partNumber
     */
    public String getPartNumber() {
        return partNumber;
    }

    /**
     * @param partNumber the partNumber to set
     */
    public void setPartNumber(String partNumber) {
        this.partNumber = partNumber;
    }

    /**
     * @return the serialNumber
     */
    public String getSerialNumber() {
        return serialNumber;
    }

    /**
     * @param serialNumber the serialNumber to set
     */
    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    /**
     * @return the signature
     */
    public String getSignature() {
        return signature;
    }

    /**
     * @param signature the signature to set
     */
    public void setSignature(String signature) {
        this.signature = signature;
    }

    /**
     * @return the socket
     */
    public String getSocket() {
        return socket;
    }

    /**
     * @param socket the socket to set
     */
    public void setSocket(String socket) {
        this.socket = socket;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the threadCount
     */
    public String getThreadCount() {
        return threadCount;
    }

    /**
     * @param threadCount the threadCount to set
     */
    public void setThreadCount(String threadCount) {
        this.threadCount = threadCount;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the upgrade
     */
    public String getUpgrade() {
        return upgrade;
    }

    /**
     * @param upgrade the upgrade to set
     */
    public void setUpgrade(String upgrade) {
        this.upgrade = upgrade;
    }

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return the voltage
     */
    public String getVoltage() {
        return voltage;
    }

    /**
     * @param voltage the voltage to set
     */
    public void setVoltage(String voltage) {
        this.voltage = voltage;
    }
}
